<?php
/**
 * Customizer settings for Typography
 */

if ( ! function_exists( 'inspiry_typography_customizer' ) ) :
	function inspiry_typography_customizer( WP_Customize_Manager $wp_customize ) {
		/**
		 * Typography Section
		 */

		$wp_customize->add_section( 'inspiry_typography_section', array(
			'title'    => __( 'Typography', 'framework' ),
			'priority' => 129,
		) );


		/* Primary Font */
		$wp_customize->add_setting( 'theme_primary_font', array(
			'type'              => 'option',
			'sanitize_callback' => 'theme_sanitize_radio_select',
		) );
		$wp_customize->add_control( 'theme_primary_font', array(
			'label'   => __( 'Primary Font', 'framework' ),
			'desc'    => __( 'This font will replace primary Open Sans theme font.', 'framework' ),
			'type'    => 'select',
			'section' => 'inspiry_typography_section',
			'choices' => inspiry_get_google_fonts_list(),
		) );

		/* Secondary Font */
		$wp_customize->add_setting( 'theme_secondary_font', array(
			'type'              => 'option',
			'sanitize_callback' => 'theme_sanitize_radio_select',
		) );
		$wp_customize->add_control( 'theme_secondary_font', array(
			'label'   => __( 'Secondary Font', 'framework' ),
			'desc'    => __( 'This font will replace secondary Droid Serif theme font.', 'framework' ),
			'type'    => 'select',
			'section' => 'inspiry_typography_section',
			'choices' => inspiry_get_google_fonts_list(),
		) );
	}

	add_action( 'customize_register', 'inspiry_typography_customizer' );
endif;


if ( ! function_exists( 'inspiry_typography_defaults' ) ) :
	/**
	 * Set default values for header settings
	 *
	 * @param WP_Customize_Manager $wp_customize Default Options.
	 */
	function inspiry_typography_defaults( WP_Customize_Manager $wp_customize ) {
		$header_settings_ids = array(
			'inspiry_google_maps_api_key',

		);
		inspiry_initialize_defaults( $wp_customize, $header_settings_ids );
	}

	add_action( 'customize_save_after', 'inspiry_typography_defaults' );
endif;
