<?php
/**
 * Register and load the widget.
 */
function inspiry_google_search_load_widget() {
	register_widget( 'Inspiry_Google_Search' );
}

add_action( 'widgets_init', 'inspiry_google_search_load_widget' );

/**
 * Creating the widget .
 */
class Inspiry_Google_Search extends WP_Widget {

	function __construct() {
		parent::__construct(

		// Base ID of your widget.
			'inspiry_google_search',

			// Widget name will appear in UI.
			__( 'Google Search Widget', 'framework' ),

			// Widget description.
			array( 'description' => __( 'Inspiry Cutom Google Search Widget', 'framework' ) )
		);
	}

	// Creating widget front-end.
	public function widget( $args, $instance ) {
		$title = apply_filters( 'widget_title', $instance['title'] );

		// before and after widget arguments are defined by themes.
		echo $args['before_widget'];
		if ( ! empty( $title ) ) {
			echo $args['before_title'] . $title . $args['after_title'];
		}

		// This is where you run the code and display the output.
        ?>
        <script>
            (function() {
                let cx = '001899295096910338995:qdi5xl2auge';
                let gcse = document.createElement('script');
                gcse.type = 'text/javascript';
                gcse.async = true;
                gcse.src = 'https://cse.google.com/cse.js?cx=' + cx;
                let s = document.getElementsByTagName('script')[0];
                s.parentNode.insertBefore(gcse, s);
            })();
        </script>
        <gcse:search></gcse:search>
        <?php
		echo $args['after_widget'];
	}

	// Widget Backend.
	public function form( $instance ) {
		if ( isset( $instance['title'] ) ) {
			$title = $instance['title'];
		} else {
			$title = __( 'Google Search', 'framework' );
		}
		// Widget admin form.
		?>
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php esc_html_e( 'Title:', 'framework' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>"/>
		</p>
		<?php
	}

	/**
	 * Updating widget replacing old instances with new.
	 */
	public function update( $new_instance, $old_instance ) {
		$instance          = array();
		$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';

		return $instance;
	}
}
// Class inspiry_google_search ends here.
