<section id="comments">

	<?php if ( post_password_required() ) : ?>

    <p class="nopassword"><?php esc_html_e( 'This post is password protected. Enter the password to view comments.', 'framework' ); ?></p>

</section><!-- end of comments -->

<?php
return;
endif;
?>

<?php if ( have_comments() ) : ?>

    <h3 id="comments-title">
		<?php comments_number( __( 'No Comment', 'framework' ), __( 'One Comment', 'framework' ), __( '(%) Comments', 'framework' ) ); ?>
    </h3>

    <ol class="commentlist">
		<?php wp_list_comments( array( 'callback' => 'theme_comment' ) ); ?>
    </ol>

	<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>

        <nav class="pagination comments-pagination">
			<?php paginate_comments_links(); ?>
        </nav>

	<?php endif; ?>

<?php endif; ?>

<?php if ( ! comments_open() && '0' !== get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) : ?>

    <p class="nocomments"><?php esc_html_e( 'Comments are closed.', 'framework' ); ?></p>

<?php endif;
/*-----------------------------------------------------------------------------------*/
/*	Comment Form
/*-----------------------------------------------------------------------------------*/

if ( comments_open() ) : ?>

    <div id="respond">
        <div class="cancel-comment-reply">
			<?php cancel_comment_reply_link(); ?>
        </div>

		<?php if ( get_option( 'comment_registration' ) && ! is_user_logged_in() ) : ?>
            <p><?php printf( __( 'You must be %1$slogged in%2$s to post a comment.', 'framework' ), '<a href="' . get_option( 'siteurl' ) . '/wp-login.php?redirect_to=' . urlencode( get_permalink() ) . '">', '</a>' ) ?></p>
		<?php else :

			$form_arg = array(
				'id_form'      => 'commentform',
				'id_submit'    => 'comment',
				'class_submit' => 'btn',
				'label_submit' => esc_html__( 'Submit Comment', 'framework' ),
			);

			comment_form( $form_arg, $post->ID );
		endif; // If registration required and not logged in.
		?>
    </div>

<?php endif; // if comments open. ?>

</section><!-- end of comments -->
