<?php
/**
 * Contact Page Customizer Settings
 */


if ( ! function_exists( 'inspiry_contact_customizer' ) ) :
	function inspiry_contact_customizer( WP_Customize_Manager $wp_customize ) {

		/**
		 * Contact Section
		 */

		$wp_customize->add_section( 'inspiry_contact_section', array(
			'title'    => __( 'Contact Page', 'framework' ),
			'priority' => 124,
		) );


		/* Contact Form Email */
		$wp_customize->add_setting( 'theme_contact_address', array(
			'type'              => 'option',
			'sanitize_callback' => 'sanitize_text_field',
			'default'           => get_option( 'admin_email' ),
		) );
		$wp_customize->add_control( 'theme_contact_address', array(
			'label'       => __( 'Contact Form Email', 'framework' ),
			'description' => __( 'Provide email address that will get messages from contact form.', 'framework' ),
			'type'        => 'email',
			'section'     => 'inspiry_contact_section',
		) );


	}

	add_action( 'customize_register', 'inspiry_contact_customizer' );
endif;


if ( ! function_exists( 'inspiry_contact_defaults' ) ) :
	/**
	 * Set default values for contact settings
	 *
	 * @param WP_Customi`ze_Manager $wp_customize
	 */
	function inspiry_contact_defaults( WP_Customize_Manager $wp_customize ) {
		$contact_settings_ids = array(
			'theme_contact_address',
		);
		inspiry_initialize_defaults( $wp_customize, $contact_settings_ids );
	}

	add_action( 'customize_save_after', 'inspiry_contact_defaults' );
endif;