<?php
/**
 * Footer Customizer Settings
 */

if ( ! function_exists( 'inspiry_footer_customizer' ) ) :
	function inspiry_footer_customizer( WP_Customize_Manager $wp_customize ) {

		/**
		 * Footer Panel
		 */

		$wp_customize->add_section( 'inspiry_theme_footer_section', array(
			'title'    => __( 'Footer', 'framework' ),
			'priority' => 126,
		) );

		$wp_customize->add_setting( 'theme_footer_bg_image', array(
			'type'              => 'option',
			'transport'         => 'postMessage',
			'sanitize_callback' => 'esc_url_raw',
		) );

		$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'theme_footer_bg_image', array(
			'label'       => __( 'Footer Background', 'framework' ),
			'description' => __( 'default background will be shown if no image selected.', 'framework' ),
			'section'     => 'inspiry_theme_footer_section',
		) ) );

		/* Text above contact form*/
		$wp_customize->add_setting( 'theme_copyright_text', array(
			'type'              => 'option',
			'transport'         => 'postMessage',
			'sanitize_callback' => 'wp_kses_data',
		) );
		$wp_customize->add_control( 'theme_copyright_text', array(
			'label'   => __( 'Copyright Text', 'framework' ),
			'type'    => 'textarea',
			'section' => 'inspiry_theme_footer_section',
		) );

	}

	add_action( 'customize_register', 'inspiry_footer_customizer' );
endif;


if ( ! function_exists( 'inspiry_theme_footer_defaults' ) ) :
	/**
	 * Set default values for contact settings
	 *
	 * @param WP_Customi`ze_Manager $wp_customize
	 */
	function inspiry_theme_footer_defaults( WP_Customize_Manager $wp_customize ) {
		$footer_settings_ids = array(
			'theme_copyright_text',
		);
		inspiry_initialize_defaults( $wp_customize, $footer_settings_ids );
	}

	add_action( 'customize_save_after', 'inspiry_theme_footer_defaults' );
endif;