<?php
/**
 * Customizer settings for Header
 */

if ( ! function_exists( 'inspiry_header_customizer' ) ) :
	function inspiry_header_customizer( WP_Customize_Manager $wp_customize ) {
		/**
		 * Header Section
		 */

		$wp_customize->add_section( 'inspiry_header_section', array(
			'title'    => __( 'Header', 'framework' ),
			'priority' => 121,
		) );
		/* Tracking Code */
		$wp_customize->add_setting( 'theme_google_analytics', array(
			'type'              => 'option',
			'sanitize_callback' => 'esc_textarea',
		) );
		$wp_customize->add_control( 'theme_google_analytics', array(
			'label'       => __( 'Tracking Code', 'framework' ),
			'description' => __( 'Paste your Google Analytics (or other) tracking code here. This will be added into the footer of your theme.', 'framework' ),
			'type'        => 'textarea',
			'section'     => 'inspiry_header_section',
		) );


	}

	add_action( 'customize_register', 'inspiry_header_customizer' );
endif;


if ( ! function_exists( 'inspiry_header_defaults' ) ) :
	/**
	 * Set default values for header settings
	 *
	 * @param WP_Customize_Manager $wp_customize Default Options.
	 */
	function inspiry_header_defaults( WP_Customize_Manager $wp_customize ) {
		$header_settings_ids = array(
			'theme_google_analytics',

		);
		inspiry_initialize_defaults( $wp_customize, $header_settings_ids );
	}

	add_action( 'customize_save_after', 'inspiry_header_defaults' );
endif;
