<?php
/**
 * Misc Customizer Settings
 */


if ( ! function_exists( 'inspiry_social_nav_customizer' ) ) :
	function inspiry_social_nav_customizer( WP_Customize_Manager $wp_customize ) {

		/**
		 * Misc Section
		 */
		global $data;
		$wp_customize->add_section( 'inspiry_social_nav_section', array(
			'title'    => __( 'Social Nav', 'framework' ),
			'priority' => 125,
		) );


		/* Enable / Disable Social Icons */
		$wp_customize->add_setting( 'theme_show_social_menu', array(
			'type'              => 'option',
			'sanitize_callback' => 'theme_sanitize_radio_select',
		) );
		$wp_customize->add_control( 'theme_show_social_menu', array(
			'label'       => __( 'Yes', 'framework' ),
			'description' => __( 'Do you want to Show Social Icons?', 'framework' ),
			'type'        => 'radio',
			'section'     => 'inspiry_social_nav_section',
			'choices'     => array(
				'true'  => 'Yes',
				'false' => 'No',
			),
		) );

		/* Facebook Link */
		$wp_customize->add_setting( 'theme_facebook_link', array(
			'type'              => 'option',
			'transport'         => 'postMessage',
			'sanitize_callback' => 'sanitize_text_field',
		) );
		$wp_customize->add_control( 'theme_facebook_link', array(
			'label'   => __( 'Facebook', 'framework' ),
			'type'    => 'text',
			'section' => 'inspiry_social_nav_section',
		) );

		/* Twitter Link */
		$wp_customize->add_setting( 'theme_twitter_link', array(
			'type'              => 'option',
			'transport'         => 'postMessage',
			'sanitize_callback' => 'sanitize_text_field',
		) );
		$wp_customize->add_control( 'theme_twitter_link', array(
			'label'   => __( 'Twitter', 'framework' ),
			'type'    => 'text',
			'section' => 'inspiry_social_nav_section',
		) );

		/* RSS Link */
		$wp_customize->add_setting( 'theme_rss_link', array(
			'type'              => 'option',
			'transport'         => 'postMessage',
			'sanitize_callback' => 'sanitize_text_field',
		) );
		$wp_customize->add_control( 'theme_rss_link', array(
			'label'   => __( 'RSS', 'framework' ),
			'type'    => 'text',
			'section' => 'inspiry_social_nav_section',
		) );

		/* Linkedin Link */
		$wp_customize->add_setting( 'theme_linkedin_link', array(
			'type'              => 'option',
			'transport'         => 'postMessage',
			'sanitize_callback' => 'sanitize_text_field',
		) );
		$wp_customize->add_control( 'theme_linkedin_link', array(
			'label'   => __( 'Linkedin', 'framework' ),
			'type'    => 'text',
			'section' => 'inspiry_social_nav_section',
		) );


		/* Skype Link */
		$wp_customize->add_setting( 'theme_skype_link', array(
			'type'              => 'option',
			'transport'         => 'postMessage',
			'sanitize_callback' => 'sanitize_text_field',
		) );
		$wp_customize->add_control( 'theme_skype_link', array(
			'label'   => __( 'Skype', 'framework' ),
			'type'    => 'text',
			'section' => 'inspiry_social_nav_section',
		) );


		/* Flickr Link */
		$wp_customize->add_setting( 'theme_flickr_link', array(
			'type'              => 'option',
			'transport'         => 'postMessage',
			'sanitize_callback' => 'sanitize_text_field',
		) );
		$wp_customize->add_control( 'theme_flickr_link', array(
			'label'   => __( 'Flickr', 'framework' ),
			'type'    => 'text',
			'section' => 'inspiry_social_nav_section',
		) );


		/* Deviant Art Link */
		$wp_customize->add_setting( 'theme_deviantart_link', array(
			'type'              => 'option',
			'transport'         => 'postMessage',
			'sanitize_callback' => 'sanitize_text_field',
		) );
		$wp_customize->add_control( 'theme_deviantart_link', array(
			'label'   => __( 'Deviant Art', 'framework' ),
			'type'    => 'text',
			'section' => 'inspiry_social_nav_section',
		) );


		/* Google */
		$wp_customize->add_setting( 'theme_google_link', array(
			'type'              => 'option',
			'transport'         => 'postMessage',
			'sanitize_callback' => 'sanitize_text_field',
		) );
		$wp_customize->add_control( 'theme_google_link', array(
			'label'   => __( 'Google', 'framework' ),
			'type'    => 'text',
			'section' => 'inspiry_social_nav_section',
		) );

		/* Stumble Upon */
		$wp_customize->add_setting( 'theme_stumble_link', array(
			'type'              => 'option',
			'transport'         => 'postMessage',
			'sanitize_callback' => 'sanitize_text_field',
		) );
		$wp_customize->add_control( 'theme_stumble_link', array(
			'label'   => __( 'Stumble Upon', 'framework' ),
			'type'    => 'text',
			'section' => 'inspiry_social_nav_section',
		) );

	}

	add_action( 'customize_register', 'inspiry_social_nav_customizer' );
endif;


if ( ! function_exists( 'inspiry_social_nav_defaults' ) ) :
	/**
	 * Set default values for social_nav settings
	 *
	 * @param WP_Customize_Manager $wp_customize
	 */
	function inspiry_social_nav_defaults( WP_Customize_Manager $wp_customize ) {
		$social_nav_settings_ids = array(
			'theme_show_social_menu',
			'theme_facebook_link',
			'theme_twitter_link',
			'theme_rss_link',
			'theme_linkedin_link',
			'theme_skype_link',
			'theme_flickr_link',
			'theme_deviantart_link',
			'theme_google_link',
			'theme_stumble_link',
		);
		inspiry_initialize_defaults( $wp_customize, $social_nav_settings_ids );
	}

	add_action( 'customize_save_after', 'inspiry_social_nav_defaults' );
endif;