<!doctype html>
<!--[if lt IE 7]>
<html class="lt-ie9 lt-ie8 lt-ie7" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 7]>
<html class="lt-ie9 lt-ie8" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 8]>
<html class="lt-ie9" <?php language_attributes(); ?>> <![endif]-->
<!--[if gt IE 8]><!-->
<html <?php language_attributes(); ?>> <!--<![endif]-->
<head>
	<!-- META TAGS -->
	<meta charset="<?php bloginfo( 'charset' ); ?>"/>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">

	<!-- Pingback URL -->
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>"/>

	<!-- RSS -->
	<link rel="alternate" type="application/rss+xml" title="<?php bloginfo( 'name' ); ?>" href="<?php bloginfo( 'rss2_url' ); ?>"/>
	<link rel="alternate" type="application/atom+xml" title="<?php bloginfo( 'name' ); ?>" href="<?php bloginfo( 'atom_url' ); ?>"/>

	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>

<!-- Start of Header -->
<div class="header-wrapper">
	<header>
		<div class="container">

			<?php
			$logo_path = get_option( 'theme_sitelogo' );

			if ( ! empty( $logo_path ) ) {
				?>
				<div class="logo-container">
					<!-- Website Logo -->
					<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php bloginfo( 'name' ); ?>">
						<img src="<?php echo esc_url( $logo_path ); ?>" alt="<?php bloginfo( 'name' ); ?>">
					</a>
					<span class="tag-line"><?php bloginfo( 'description' ); ?></span>
				</div>
				<?php
			} elseif ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) {
				?>
				<div class="logo-container">
					<?php
					the_custom_logo();
					?>
					<span class="tag-line"><?php bloginfo( 'description' ); ?></span>
				</div>
				<?php
			} else {
				?>
				<h2 class="logo-heading">
					<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php bloginfo( 'name' ); ?>">
						<?php bloginfo( 'name' ); ?>
					</a>
				</h2>
				<span class="tag-line"><?php bloginfo( 'description' ); ?></span>
				<?php
			}
			?>

			<!-- Start of Main Navigation -->
			<nav class="main-nav">
				<?php
				wp_nav_menu( array(
					'theme_location' => 'main-menu',
					'container'      => 'div',
					'menu_class'     => 'clearfix',
				) );
				?>
			</nav>
			<!-- End of Main Navigation -->

		</div>
	</header>
</div>
<!-- End of Header -->

<!-- Start of Search Wrapper -->
<?php
$theme_search_banner_image = get_option( 'theme_search_banner_image' );
if ( ! empty( $theme_search_banner_image ) ) {
?>
<div class="search-area-wrapper search-area-theme-option" style="background-image: url('<?php echo esc_url( $theme_search_banner_image ); ?>')">
	<?php
} else {
	?>
	<div class="search-area-wrapper">
		<?php
}
		?>
		<div class="search-area container">
			<?php
			$theme_search_title = stripslashes( get_option( 'theme_search_title' ) );
			$theme_search_text  = stripslashes( get_option( 'theme_search_text' ) );
			?>
			<h3 class="search-header"><?php echo esc_html( $theme_search_title ); ?></h3>
			<p class="search-tag-line"><?php echo esc_html( $theme_search_text ); ?></p>

			<form id="search-form" class="search-form clearfix" method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>" autocomplete="off">
				<input class="search-term required" type="text" id="s" name="s" placeholder="<?php esc_html_e( 'Type your search terms here', 'framework' ); ?>" title="<?php esc_html_e( '* Please enter a search term!', 'framework' ); ?>"/>
				<input class="search-btn" type="submit" value="<?php esc_html_e( 'Search', 'framework' ); ?>"/>
				<div id="search-error-container"></div>
			</form>
		</div>
	</div>
	<!-- End of Search Wrapper -->
